#
# spec file for package rubygem-ruby-augeas
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ruby-augeas
Version:        0.6.0
Release:        1.3
%define mod_name ruby-augeas
%define mod_full_name %{mod_name}-%{version}

Summary:        Ruby bindings for augeas
License:        LGPL-2.1-or-later
Group:          Development/Languages/Ruby
URL:            https://augeas.net/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
BuildRequires:  %{rubydevel >= 1.8.1}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
# MANUAL
BuildRequires:  augeas-devel
BuildRequires:  pkgconfig
%if 0%{?suse_version} == 1110
BuildRequires:  libxml2-devel
%endif
# /MANUAL

%description
Provides bindings for augeas.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING NEWS README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Wed Oct 23 2024 Josef Reidinger <jreidinger@suse.com>
- Update to version 0.6.0 which includes mostly distribution patches
- remove arity-fix.patch as it is included in new release
- remove COPYING.patch as it is included in new release
* Fri Jul 26 2024 Josef Reidinger <jreidinger@suse.com>
- remove gcc14.patch and apply proper fix that fix arity of method
  (gh#hercules-team/ruby-augeas#17)
* Fri Jul 26 2024 Marcus Rueckert <mrueckert@suse.de>
- Modify patch to also apply with -p1 COPYING.patch
- Add gcc14.patch don't enforce the check until upstream can fix the
  code
* Tue May 21 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Replace %%patchN with %%patch -P N: %%patchN is deprecated.
* Wed Mar 23 2016 olaf@aepfle.de
- Force fixed timestamps for patched gems (bsc#916047)
* Fri May 15 2015 kstreitova@suse.com
- Submit systemsmanagement:puppet rubygem-ruby-augeas to
  SUSE:SLE-12-SP1:GA (fate#316705)
* Wed Jan 21 2015 tampakrap@opensuse.org
- Use SPDX license format
- Fix FSF address in license content
- Add libxml2-devel dependency only on suse_version == 1110
- Add augeas runtime dependency
* Sun Feb 16 2014 kkaempf@suse.com
- use new macros
* Sat Apr 13 2013 boris@steki.net
- fixing build:
  - added buildreqs augeas-devel and pkg-config requirements
* Sat Apr 13 2013 coolo@suse.com
- updated to version 0.5.0
  - add libxml2 headers and library to Makefile
  - add libxml2-devel build req to rpm spec
  - split out header, add memstream utils from Augeas
  - integrate with Travis CI
  - Takefile: add gem authors metadata
  - Augeas::transform: add .lns suffix if a module name is passed
    to match aug_transform behaviour
  - add Augeas::clearm
  - add Augeas::context and Augeas::context=
  - add Augeas::label
  - add Augeas::rename
  - add Augeas::srun
  - add Augeas::text_retrieve
  - add Augeas::text_store
* Thu Jul 19 2012 mvidner@suse.cz
- Updated to 0.4.1, reportedly works better with Ruby 1.9
  - set can now set multiple elements at once
  - expose aug_setm as Augeas#setm
  - expose error functions through Augeas#error
  - expose aug_span as Augeas#span
* Thu Nov 11 2010 mvidner@novell.com
- Initial packaging
- 0.3.0
